ADV(8)

NAME
adv - advertise a directory for remote access with RFS

SYNOPSIS
adv
adv [ -r ] [ -d description ] resource pathname [ clients ...]
adv -m resource -d description| [ clients... ]
adv -m resource [ -d description ] | clients ...

AVAILABILITY

This program is available with the RFS software installation option. Refer to for information on how to install optional software.

DESCRIPTION

adv makes a resource from one system available for use on other systems. The machine that advertises the resource is called the server, while systems that mount and use the resource are clients. See mount(8). resource represents a directory, which could contain files, subdirectories, named pipes and devices.

Remote File Sharing (RFS) must be running before adv can be used to advertise or modify a resource entry.

When used with no options, adv displays all local resources that have been advertised; this includes the resource name, the pathname, the description, the read-write status, and the list of authorized clients. The resource field has a fixed length of 14 characters; all others are of variable length. Fields are separated by two SPACE characters and double quotes (") surround the description.

This command may be used without options by any user; otherwise it is restricted to the super-user.

There are three ways adv is used:

    •   To print a list of all locally-advertised resources, as shown by the first synopsis.

    •   To advertise the directory pathname under the name resource so it is available to RFS clients, as shown by the second synopsis.

    •   To modify client and description fields for currently advertised resources, as shown by the third and fourth synopses.

If any of the following are true, an error message will be sent to standard error.

    •   The network is not up and running.

    •   pathname is not a directory.

    •   pathname is not on a file system mounted locally.

    •   There is at least one entry in the clients field but none are syntactically valid.

OPTIONS

-r  Restrict access to the resource to a read-only basis. The default is read-write access.

-d description
    Provide brief textual information about the advertised resource. description is a single argument surrounded by double quotes ("argument") and has a maximum length of 32 characters.

-m resource
    Modify information for a resource that has already been advertised. The resource is identified by a resource name. Only the clients and description fields can be modified. To change the pathname, resource name, or read/write permissions, you must unadvertise and re-advertise the resource.

resource
    This is the symbolic name used by the server and all authorized clients to identify the resource. It is limited to a maximum of 14 characters and must be different from every other resource name in the domain. All characters must be printable ASCII characters, but must not include `.' (periods), `/' (slashes), or white space.

pathname
    This is the local pathname of the advertised resource. It is limited to a maximum of 64 characters. This pathname cannot be the mount point of a remote resource and it can only be advertised under one resource name.

clients
    These are the names of all clients that are authorized to remotely mount the resource. The default is that all machines that can connect to the server are authorized to access the resource. Valid input is of the form nodename, domain.nodename, domain., or an alias that represents a list of client names. A domain name must be followed by a `.' to distinguish it from a host name. The aliases are defined in /etc/host.alias and must conform to the alias capability in mail(1).

EXAMPLES

The following example displays the local resources that have been advertised:
    example% adv
    LOCAL_SUN3      /export/local/sun3  ""  read-only unrestricted
    LOCAL_SUN4      /export/local/sun4  ""  read-only unrestricted
    LOCAL_SHARE     /export/local/share  ""  read-only unrestricted

EXIT STATUS

If there is at least one syntactically valid entry in the clients field, a warning will be issued for each invalid entry and the command will return a successful exit status. A non-zero exit status will be returned if the command fails.

FILES
/etc/host.alias

SEE ALSO
mount(8), rfstart(8), unadv(8)